import msg from "./base.js"


/**
 * 新消息通知
 * @param {Object} message message对象
 */
export function messageCreate(message){
    msg.emit("messageCreate",message)

}

/**
 * 注册新消息通知
 * @param {Function} fun 回调函数
 */

export function onMessageCreate(fun){
    msg.on("messageCreate",fun)
}

/**
 * 撤回消息通知
 * @param {Object} message message对象
 */
export function messageDelete(message){
    msg.emit("messageDelete",message)
}

